#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%define		pdir	Mail
%define		pnam	SPF-Query
Summary:	Mail::SPF::Query - Perl implementation of SPF
Summary(pl.UTF-8):	Mail::SPF::Query - perlowa implementacja SPF
Name:		perl-Mail-SPF-Query
Version:	1.999.1
Release:	2%{?tld}
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Mail/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6d62d024d1614fa1fa4f43bd39ee7bf0
Source1:	spfd.init
URL:		http://search.cpan.org/dist/Mail-SPF-Query/
%if %{with tests}
BuildRequires:	perl-Net-CIDR-Lite >= 0.15
BuildRequires:	perl-Net-DNS >= 0.33
BuildRequires:	perl-Sys-Hostname-Long
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-URI
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	perl(URI::Escape) >= 3.20
Requires:	perl-Net-CIDR-Lite >= 0.15
Requires:	perl-Net-DNS >= 0.33
Requires:	perl-Sys-Hostname-Long
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements a daemon to query SPF records for email forgery
detection.

%description -l pl.UTF-8
Ten moduł jest implementacją demona sprawdzającego rekordy SPF w celu
wykrywania sfałszowanej poczty.

%package -n spfd
Summary:	SPF record checking daemon
Summary(pl.UTF-8):	Demon sprawdzający rekordy SPF
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts

%description -n spfd
SPF record checking daemon, operating as a local resolver on
UNIX-domain sockets.

%description -n spfd -l pl.UTF-8
Demon sprawdzający rekordy SPF, działający jako lokalny resolver na
gniazdach uniksowych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/spfd

# we prefer spfquery from perl-Mail-SPF
rm -rf $RPM_BUILD_ROOT{%{_bindir}/spfquery,%{_mandir}/man1/spfquery*}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n spfd
/sbin/chkconfig --add spfd
%service spfd restart "SPF daemon"

%preun -n spfd
if [ "$1" = "0" ]; then
	%service spfd stop
	/sbin/chkconfig --del spfd
fi

%files
%defattr(644,root,root,755)
%doc CHANGES README examples
%dir %{perl_vendorlib}/Mail/SPF
%{perl_vendorlib}/Mail/SPF/*.pm
%{_mandir}/man3/*

%files -n spfd
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/spfd
%attr(754,root,root) /etc/rc.d/init.d/spfd
%{_mandir}/man1/spfd*
%changelog
* Thu Apr 25 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Mail-SPF-Query.git;a=log;h=master

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 4b1d060
- drop obsolete and outdated manual inclusion of rpm macros

* Thu May 10 2007 Adam Gołębiowski <adamg@pld-linux.org> cca2056
- prefer spfquery from perl-Mail-SPF
- release 2

* Fri Mar 23 2007 Jakub Bogusz <qboosh@pld-linux.org> 8d0309d
- dropped

* Fri Mar 23 2007 radek <radek@pld-linux.org> a63efdb
- release 1, killed -spfd-{host,detach}.patch -- noone cares

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> bf96fbc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f9d3be1
- converted to UTF-8

* Wed Aug 23 2006 radek <radek@pld-linux.org> 13a816c
- BR: perl-Sys-Hostname-Long

* Wed Aug 23 2006 radek <radek@pld-linux.org> f1928c0
- version 1.999.1
- release 0.1: if noone cares about patches, cvs rm before rel 1

* Sun May 21 2006 Elan Ruusamäe <glen@pld-linux.org> d8c1758
- rel 5

* Sun Mar 12 2006 Elan Ruusamäe <glen@pld-linux.org> db8d1d7
- use %service, adapterized

* Thu Dec 08 2005 Elan Ruusamäe <glen@pld-linux.org> 193b242
- remove remnants from template.init

* Mon Oct 17 2005 hawk <hawk@pld-linux.org> c4d5692
- release 4 (3 will be for Ra)

* Thu Sep 29 2005 aredridel <aredridel@pld-linux.org> b1988a6
- added dep

* Fri Jun 10 2005 romke <romke@pld-linux.org> 83b95aa
- added patches for spfd:
  - new -host option for specifying ip to listen on,
  - detach from console,
- release 2, STBR

* Fri Jun 10 2005 romke <romke@pld-linux.org> 3aa092d
- spfd should by default detach after starting

* Fri Jun 10 2005 romke <romke@pld-linux.org> a819129
- spfd -host option for specifying ip addr for daemon to listen on

* Fri Jun 10 2005 romke <romke@pld-linux.org> d722a69
- more flexible way of handling options that allows of using
  tcp socket witout editing /etc/rc.d/init.d/spfd file

* Tue Nov 30 2004 zbyniu <zbyniu@pld-linux.org> ff023cc
- added PreReq: rc-scripts and Requires(): /sbin/chkconfig for daemon

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 4eb5358
- formatting

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> c20f1ae
- spaces->tabs

